--------------------------------------------------------------------
-- DeltaStat v0.1
--
-- Copyright 2004 Jason Dunsmore
--
--
--    This file is part of DeltaStat.
--
--    DeltaStat is free software. You can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation. Either version 2.1 of the License, or
--    (at your option) any later version.
--
--    DeltaStat is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY. Without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with DeltaStat. If not, write to the Free Software
--    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
--
-- Change all occurences of MMDDYY to the actual date of your experiment
--

use 2d-gels
CREATE TABLE `MMDDYY_allGels` (
`mark` VARCHAR(10) NOT NULL,
`hide` VARCHAR(10) NOT NULL,
`use for normalization ctrl1` VARCHAR(10) NOT NULL,
`use for normalization ctrl2` VARCHAR(10) NOT NULL,
`use for normalization ctrl3` VARCHAR(10) NOT NULL,
`use for normalization ctrl4` VARCHAR(10) NOT NULL,
`use for normalization exp1` VARCHAR(10) NOT NULL,
`use for normalization exp2` VARCHAR(10) NOT NULL,
`use for normalization exp3` VARCHAR(10) NOT NULL,
`use for normalization exp4` VARCHAR(10) NOT NULL,
`use for normalization union replicates` VARCHAR(10) NOT NULL,
`use for normalization ave ctrl` VARCHAR(10) NOT NULL,
`use for normalization ave exp` VARCHAR(10) NOT NULL,
`use for normalization union average` VARCHAR(10) NOT NULL,
`cancel spot ctrl1` VARCHAR(10) NOT NULL,
`cancel spot ctrl2` VARCHAR(10) NOT NULL,
`cancel spot ctrl3` VARCHAR(10) NOT NULL,
`cancel spot ctrl4` VARCHAR(10) NOT NULL,
`cancel spot exp1` VARCHAR(10) NOT NULL,
`cancel spot exp2` VARCHAR(10) NOT NULL,
`cancel spot exp3` VARCHAR(10) NOT NULL,
`cancel spot exp4` VARCHAR(10) NOT NULL,
`cancel spot union replicates` VARCHAR(10) NOT NULL,
`cancel spot ave ctrl` VARCHAR(10) NOT NULL,
`cancel spot ave exp` VARCHAR(10) NOT NULL,
`cancel spot union average` VARCHAR(10) NOT NULL,
`norm volume ctrl1` FLOAT UNSIGNED NOT NULL,
`norm volume ctrl2` FLOAT UNSIGNED NOT NULL,
`norm volume ctrl3` FLOAT UNSIGNED NOT NULL,
`norm volume ctrl4` FLOAT UNSIGNED NOT NULL,
`norm volume exp1` FLOAT UNSIGNED NOT NULL,
`norm volume exp2` FLOAT UNSIGNED NOT NULL,
`norm volume exp3` FLOAT UNSIGNED NOT NULL,
`norm volume exp4` FLOAT UNSIGNED NOT NULL,
`norm volume union replicates` FLOAT UNSIGNED NOT NULL,
`norm volume ave ctrl` FLOAT UNSIGNED NOT NULL,
`norm volume ave exp` FLOAT UNSIGNED NOT NULL,
`norm volume union average` FLOAT UNSIGNED NOT NULL,
`ratio ctrl2 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio ctrl3 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio ctrl4 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio exp1 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio exp2 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio exp3 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio exp4 / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio union replicates / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio ave ctrl / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio ave exp / ctrl1` FLOAT UNSIGNED NOT NULL,
`ratio union average / ctrl1` FLOAT UNSIGNED NOT NULL,
`volume ctrl1` FLOAT UNSIGNED NOT NULL,
`volume ctrl2` FLOAT UNSIGNED NOT NULL,
`volume ctrl3` FLOAT UNSIGNED NOT NULL,
`volume ctrl4` FLOAT UNSIGNED NOT NULL,
`volume exp1` FLOAT UNSIGNED NOT NULL,
`volume exp2` FLOAT UNSIGNED NOT NULL,
`volume exp3` FLOAT UNSIGNED NOT NULL,
`volume exp4` FLOAT UNSIGNED NOT NULL,
`volume union replicates` FLOAT UNSIGNED NOT NULL,
`volume ave ctrl` FLOAT UNSIGNED NOT NULL,
`volume ave exp` FLOAT UNSIGNED NOT NULL,
`volume union average` FLOAT UNSIGNED NOT NULL,
`area ctrl1` FLOAT UNSIGNED NOT NULL,
`area ctrl2` FLOAT UNSIGNED NOT NULL,
`area ctrl3` FLOAT UNSIGNED NOT NULL,
`area ctrl4` FLOAT UNSIGNED NOT NULL,
`area exp1` FLOAT UNSIGNED NOT NULL,
`area exp2` FLOAT UNSIGNED NOT NULL,
`area exp3` FLOAT UNSIGNED NOT NULL,
`area exp4` FLOAT UNSIGNED NOT NULL,
`area union replicates` FLOAT UNSIGNED NOT NULL,
`area ave ctrl` FLOAT UNSIGNED NOT NULL,
`area ave exp` FLOAT UNSIGNED NOT NULL,
`area union average` FLOAT UNSIGNED NOT NULL,
`background ctrl1` FLOAT UNSIGNED NOT NULL,
`background ctrl2` FLOAT UNSIGNED NOT NULL,
`background ctrl3` FLOAT UNSIGNED NOT NULL,
`background ctrl4` FLOAT UNSIGNED NOT NULL,
`background exp1` FLOAT UNSIGNED NOT NULL,
`background exp2` FLOAT UNSIGNED NOT NULL,
`background exp3` FLOAT UNSIGNED NOT NULL,
`background exp4` FLOAT UNSIGNED NOT NULL,
`background union replicates` FLOAT UNSIGNED NOT NULL,
`background ave ctrl` FLOAT UNSIGNED NOT NULL,
`background ave exp` FLOAT UNSIGNED NOT NULL,
`background union average` FLOAT UNSIGNED NOT NULL,
`average grey value ctrl1` FLOAT UNSIGNED NOT NULL,
`average grey value ctrl2` FLOAT UNSIGNED NOT NULL,
`average grey value ctrl3` FLOAT UNSIGNED NOT NULL,
`average grey value ctrl4` FLOAT UNSIGNED NOT NULL,
`average grey value exp1` FLOAT UNSIGNED NOT NULL,
`average grey value exp2` FLOAT UNSIGNED NOT NULL,
`average grey value exp3` FLOAT UNSIGNED NOT NULL,
`average grey value exp4` FLOAT UNSIGNED NOT NULL,
`average grey value union replicates` FLOAT UNSIGNED NOT NULL,
`average grey value ave ctrl` FLOAT UNSIGNED NOT NULL,
`average grey value ave exp` FLOAT UNSIGNED NOT NULL,
`average grey value union average` FLOAT UNSIGNED NOT NULL,
`ctrl1 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`ctrl2 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`ctrl3 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`ctrl4 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`exp1 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`exp2 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`exp3 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`exp4 ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`union replicates ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`ave ctrl ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`ave exp ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`union average ID` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency ctrl1` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency ctrl2` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency ctrl3` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency ctrl4` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency exp1` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency exp2` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency exp3` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency exp4` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency union replicates` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency ave ctrl` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency ave exp` INT UNSIGNED DEFAULT '0' NOT NULL,
`frequency union average` INT UNSIGNED DEFAULT '0' NOT NULL,
`label ctrl1` VARCHAR(50) NOT NULL,
`label ctrl2` VARCHAR(50) NOT NULL,
`label ctrl3` VARCHAR(50) NOT NULL,
`label ctrl4` VARCHAR(50) NOT NULL,
`label exp1` VARCHAR(50) NOT NULL,
`label exp2` VARCHAR(50) NOT NULL,
`label exp3` VARCHAR(50) NOT NULL,
`label exp4` VARCHAR(50) NOT NULL,
`label union replicates` VARCHAR(50) NOT NULL,
`label ave ctrl` VARCHAR(50) NOT NULL,
`label ave exp` VARCHAR(50) NOT NULL,
`label union average` VARCHAR(50) NOT NULL,
`x-coordinate of center ctrl1` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center ctrl1` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center ctrl2` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center ctrl2` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center ctrl3` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center ctrl3` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center ctrl4` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center ctrl4` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center exp1` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center exp1` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center exp2` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center exp2` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center exp3` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center exp3` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center exp4` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center exp4` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center union replicates` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center union replicates` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center ave ctrl` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center ave ctrl` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center ave exp` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center ave exp` FLOAT UNSIGNED NOT NULL,
`x-coordinate of center union average` FLOAT UNSIGNED NOT NULL,
`y-coordinate of center union average` FLOAT UNSIGNED NOT NULL,
`number` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
);


LOAD DATA INFILE '/path/to/quantitationTable_allGels.txt' INTO TABLE `MMDDYY_allGels` FIELDS TERMINATED BY ';';
